List Global Routers
curl --request GET \
--url https://api.coralogix.com/mgmt/openapi/5/notifications/notification-center/v1/routers \
--header 'Authorization: <api-key>'import requests
url = "https://api.coralogix.com/mgmt/openapi/5/notifications/notification-center/v1/routers"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.coralogix.com/mgmt/openapi/5/notifications/notification-center/v1/routers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"routers": [
{
"createTime": "2023-11-07T05:31:56Z",
"description": "<string>",
"disabled": true,
"entityLabels": {},
"fallback": [
{
"connectorId": "<string>",
"customDetails": {},
"id": "d4b56246-64bb-4714-a8bd-97c999f1d801",
"presetId": "<string>"
}
],
"fallbackTargets": [
{
"target": {
"connectorId": "<string>",
"customDetails": {},
"id": "d4b56246-64bb-4714-a8bd-97c999f1d801",
"presetId": "<string>"
}
}
],
"id": "a16e24c8-4db2-4abf-ba3c-c9e1fc35a3b9",
"name": "My Router",
"routingLabels": {
"environment": "<string>",
"service": "<string>",
"team": "<string>"
},
"rules": [
{
"condition": "alertDef.priority == 'P3'",
"customDetails": {},
"name": "<string>",
"targets": [
{
"connectorId": "<string>",
"customDetails": {},
"id": "d4b56246-64bb-4714-a8bd-97c999f1d801",
"presetId": "<string>"
}
]
}
],
"updateTime": "2023-11-07T05:31:56Z"
}
]
}Global Routers Service
List Global Routers
Returns all notification routers for the team.
List Global Routers
Authorizations
API key authentication
Query Parameters
Deprecated. Filter routers by entity type. Entity type.
Available options:
ENTITY_TYPE_UNSPECIFIED, ALERTS, TEST_NOTIFICATIONS, CASES Filter routers by source entity labels. Each entry restricts results to routers whose source entity has the matching label values. If empty, all routers are returned.
Show child attributes
Show child attributes
Response
200 - application/json
Response containing requested global routers
The routers.
Maximum array length:
200Show child attributes
Show child attributes
Was this page helpful?
⌘I